commit 232d539f25b35903db301e94270541baf063f157
Author: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
Date:   Fri Nov 1 11:11:26 2024 +0100

    testsuite: arm: Use effective-target for pr98636.c test
    
    The test case assumes that -mfp16-format=alternative is accepted for the
    target, but not all targets support this flag. One such target is
    Cortex-M85 that does support FP16, but not the alternative format.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.target/arm/pr98636.c: Use effective-target
            arm_fp16_alternative.
    
    Signed-off-by: Torbjörn SVENSSON <torbjorn.svensson@foss.st.com>
    (cherry picked from commit 4602f628f723688a10c14ab20bd013ba7a825dab)

diff --git a/gcc/testsuite/gcc.target/arm/pr98636.c b/gcc/testsuite/gcc.target/arm/pr98636.c
index 559f9a26c1e..28f05322156 100644
--- a/gcc/testsuite/gcc.target/arm/pr98636.c
+++ b/gcc/testsuite/gcc.target/arm/pr98636.c
@@ -1,6 +1,8 @@
 /* { dg-do compile } */
 /* { dg-require-effective-target arm_softfp_ok } */
-/* { dg-options "-mfp16-format=alternative -mfloat-abi=softfp" } */
+/* { dg-require-effective-target arm_fp16_alternative_ok } */
+/* { dg-options "-mfloat-abi=softfp" } */
+/* { dg-add-options arm_fp16_alternative } */
 
 #pragma GCC push_options
 # pragma GCC target ("arch=armv8.2-a+fp16") /* { dg-error "selected fp16 options are incompatible" } */

